# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION='The lazier way to manage everything docker'
HOMEPAGE='https://github.com/jesseduffield/lazydocker'
SRC_URI="https://github.com/jesseduffield/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

S="${WORKDIR}/${P}"

LICENSE='Apache-2.0 BSD ISC MIT Unlicense'
SLOT='0'
KEYWORDS='~amd64 ~arm64'

RDEPEND='>=app-containers/docker-cli-1.13 >=app-containers/docker-compose-1.23.2'

DOCS=( {CODE-OF-CONDUCT,CONTRIBUTING,README}.md docs )

src_compile() {
	ego build -o bin/"${PN}" -ldflags "-X main.version=${PV}"
}

src_install() {
	dobin bin/"${PN}"
	einstalldocs
}
