# Copyright 2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION='Compilation of useful scripts and small programs'
HOMEPAGE='https://git.saundersp.com/saundersp/toolbox'
GIT_COMMIT='7f1752ba3fac4484e204a092dd663bf82bf4dec6'
SRC_URI="https://git.saundersp.com/saundersp/toolbox/archive/${GIT_COMMIT}.tar.gz  -> ${P}.tar.gz"
S="${WORKDIR}/toolbox"

LICENSE='MIT'
SLOT='0'
KEYWORDS='~amd64 ~arm ~arm64 ~x86'
IUSE="+format-time +format-time-ns +format-bytes +gcd +compress +convertUTF8 +extract"

src_compile() {
	use format-bytes && emake format_bytes/bin/format_bytes
	use format-time && emake format_time/bin/format_time
	use format-time-ns && emake format_time/bin/format_time_ns
	use gcd && emake gcd/bin/gcd
}

src_install() {
	use format-bytes && dobin format_bytes/bin/format_bytes
	use format-time && dobin format_time/bin/format_time
	use format-time-ns && dobin format_time/bin/format_time_ns
	use gcd && dobin gcd/bin/gcd
	use compress && dobin compress
	use convertUTF8 && dobin convertUTF8
	use extract && dobin extract
}
