# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DESCRIPTION='End-to-end encrypted note taking alternative to Evernote'
HOMEPAGE='https://notesnook.com/ https://github.com/streetwriters/notesnook'
RELEASE_URI=https://github.com/streetwriters/notesnook/releases
SRC_URI="
	amd64? ( ${RELEASE_URI}/download/v${PV}/notesnook_linux_x86_64.AppImage -> ${P}.amd64.AppImage )
	arm64? ( ${RELEASE_URI}/download/v${PV}/notesnook_linux_arm64.AppImage -> ${P}.arm64.AppImage )
"
S="${WORKDIR}"
LICENSE='GPL-3'
SLOT='0'
KEYWORDS='~amd64 ~arm64'
RESTRICT='strip'
RDEPEND='sys-fs/fuse:0'
QA_PREBUILT='*'

inherit desktop

src_install() {
	if use amd64; then
		newbin "${DISTDIR}/${P}.amd64.AppImage" notesnook
	elif use arm64; then
		newbin "${DISTDIR}/${P}.arm64.AppImage" notesnook
	fi
	doicon "${FILESDIR}"/notesnook.png
	make_desktop_entry "${PN}" Notesnook notesnook 'Office;'
}
